package com.yiqi.common.enums;


public enum ClothOrderStatusAppSearchType implements CodeEnum{

    APPOINTMENT("0", "待上门")
    , HAS_TAKING("1", "已上门、带门店定价")
    , WAITING_FOR_PAY("2", "待付款")
    , SERVICING("3", "服务中")
    , WAITING_FOR_SEND("4", "待配送")
    , SENDING("5", "配送中")
    , HAS_WASHED_WAITING_FOR_TAKE("6", "待取衣（到店自取）")
    , WAITING_FOR_COMMENT("7", "待评价")
    , FINISH("8", "已完成")
    , CANCEL("100", "已取消");

    private final String code;
    private final String info;

    ClothOrderStatusAppSearchType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}